#!/bin/bash
# --------------------------------------
# Запуск SAST анализа
# --------------------------------------

echo "Запуск bearer"
./bin/bearer scan --output sast_results/bearer.txt .

echo "Запуск golangci-lint"
./bin/golangci-lint run > sast_results/golangci-lint.txt

echo "Запуск gosec"
./bin/gosec -out sast_results/gosec.txt ./...

echo "Анализ завершён, результаты в sast_results"
